%global _empty_manifest_terminate_build 0
Name:		python-seqdiag
Version:	2.0.0
Release:	1
Summary:	seqdiag generates sequence-diagram image from text
License:	Apache-2.0
URL:		https://github.com/blockdiag/seqdiag
Source0:	https://files.pythonhosted.org/packages/35/cf/1e1fa65111f90747e9c9f2438674b5c77dbb00a0b14a01ba280c7c34bad9/seqdiag-2.0.0.tar.gz
BuildArch:	noarch

Requires:	python3-blockdiag
Requires:	python3-nose
Requires:	python3-flake8
Requires:	python3-flake8-coding
Requires:	python3-flake8-copyright
Requires:	python3-flake8-isort
Requires:	python3-reportlab
Requires:	python3-docutils

%description
seqdiag generate sequence-diagram image file from spec-text file.


%package -n python3-seqdiag
Summary:	seqdiag generates sequence-diagram image from text
Provides:	python-seqdiag
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-seqdiag
seqdiag generate sequence-diagram image file from spec-text file.


%package help
Summary:	Development documents and examples for seqdiag
Provides:	python3-seqdiag-doc
%description help
seqdiag generate sequence-diagram image file from spec-text file.


%prep
%autosetup -n seqdiag-2.0.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-seqdiag -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Dec 31 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
